<?php

namespace FOP;

class ChunkReadFilter implements \PhpOffice\PhpSpreadsheet\Reader\IReadFilter {
  
  

  
  

  
  

    // --- Eigenschaften ---
  
  private $startRow ;
  private $endRow ;

    // --- Methoden ---
  
  public function setRows($startRow, $chunkSize) {
    
    
     
    
	$this->startRow = $startRow;
	$this->endRow = $startRow + $chunkSize;

    
  }
  public function readCell($column, $row, $worksheetName = '' ) {
    
    
     
    
	if (($row == 1) || ($row >= $this->startRow && $row < $this->endRow)) {
		return true;
	}	
	return false;

    
  }
}



